Package com.pixelmed.apps

## Class MergeConcatenationInstances

- java.lang.Object
- - com.pixelmed.apps.MergeConcatenationInstances

-     public class MergeConcatenationInstances
      extends java.lang.Object

  A class containing an application for merging instances of a concatenation to (re-)create the source instance.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `MergeConcatenationInstances.OurMediaImporter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `ourAETitle` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MergeConcatenationInstances​(java.lang.String[] srcs, java.lang.String dstFolderName, MessageLogger logger)` | Merge instances of a concatenation to (re-)create the source instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Merge instances of a concatenation to (re-)create the source instance.
    `protected void` | `mergeConcatenationInstances​(AttributeList newList, java.lang.String mediaFileName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ourAETitle

          protected java.lang.String ourAETitle

  - ### Constructor Detail

    - #### MergeConcatenationInstances

          public MergeConcatenationInstances​(java.lang.String[] srcs,
                                             java.lang.String dstFolderName,
                                             MessageLogger logger)
                                      throws java.io.IOException,
                                             DicomException

      Merge instances of a concatenation to (re-)create the source instance.

      Parameters:
        `srcs` - source folders or DICOMDIRs
        `dstFolderName` - destination folder
        `logger` - logger to send progress, warnings and errors
      Throws:
        `java.io.IOException` - if there is a problem reading or writing
        `DicomException` - if there is a problem parsing or extracting required content

  - ### Method Detail

    - #### mergeConcatenationInstances

          protected void mergeConcatenationInstances​(AttributeList newList,
                                                     java.lang.String mediaFileName)
                                              throws DicomException

      Throws:
        `DicomException`

    - #### main

          public static void main​(java.lang.String[] arg)

      Merge instances of a concatenation to (re-)create the source instance.

      Parameters:
        `arg` - array of 2 or more strings - one or more source folders or DICOMDIR (to merge), and a destination folder